These docs are for v2.11. Click to read the latest docs for v2.12.

Set CDR Callback

Configure the callback URL to notify when a call dialing record is available.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Set CDR callback to receive Call Records at the end of every calls to or from fonenumbers in your account.

Notes

account_id

10 digit account code

method

This parameter specifies the methods used for the callback and its data.

  • GET returns data through query string parameters on a GET to the given URL.
  • POST returns data through query string parameters on a POST to the given URL, with a full set of data in a JSON-encoded structure in the body. The request will have a header of application/x-www-form-urlencoded
  • JSON returns data through query string parameters on a POST to the given URL, with a full set of data in a JSON-encoded structure in the body. The request will have a header of application/json

url

The url parameter contains the URL to be called when the event takes place. The full URL, including the protocol (https://) needs to be provided (URLs with valid SSL certificates are supported only.).

username and password

Callbacks support optional HTTP Basic authentication. If the username and password parameters are provided, the corresponding authentication headers will be included in callback execution.

For more information, see Callbacks / Web Hooks.

Sample Response

{
	"account": {
    "id": "2005550000",
    "primary_color": "#FFFFFF",
    "secondary_color": '#EEEEEE',
    "background_color": '#333333',
    "font_family": null,
    "cdr_notify_url": "https://hookb.in/ZrR097ze",
    "cdr_notify_method": "JSON",
    "cdr_notify_password": "test",
    "cdr_notify_username": "test1"
  }
}

Response Properties

PropertyTypeDescription
accountobjectAccount
Body Params
string
required

FoneStorm account id

string
required

Callback URL method

string
required

Callback URL. See Notes for additional information.

string

Callback URL username

string

Callback URL password

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json